# Uses of Class
org.eclipse.draw2d.graph.Edge

Packages that use Edge
Package
Description
org.eclipse.draw2d.graph
Stand-alone algorithms related to Graph Drawing.

## Uses of Edge in org.eclipse.draw2d.graph

Methods in org.eclipse.draw2d.graph that return Edge
Modifier and Type
Method
Description
`Edge`
EdgeList.`getEdge(int index)`
Deprecated, for removal: This API element is subject to removal in a future version.
use Use `ArrayList.get(int)` instead.
Methods in org.eclipse.draw2d.graph with parameters of type Edge
Modifier and Type
Method
Description
`void`
DirectedGraph.`removeEdge(Edge edge)`
Removes the given edge from the graph.
Constructors in org.eclipse.draw2d.graph with parameters of type Edge
Modifier
Constructor
Description
``
`VirtualNode(Edge e, int i)`
Deprecated.
This class is for internal use only.